﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace PrototypeDesignPattern
{
    class Color : ColorPrototype
    {
        private int _red;
        private int _green;
        private int _blue;

        // Constructor
        public Color(int red, int green, int blue)
        {
            this._red = red;
            this._green = green;
            this._blue = blue;
        }

        // Create a shallow copy
        public override ColorPrototype Clone()
        {
            Console.WriteLine(
              "Cloning color RGB: " + _red.ToString() + " , " + _green.ToString() + " , " + _blue.ToString());

            return this.MemberwiseClone() as ColorPrototype;
        }
    }
}
