﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrototypeDesignPattern
{
    class Program
    {
        static void Main(string[] args)
        {
            ColorManager colormanager = new ColorManager();

            // Initialize with standard colors
            colormanager["RED"] = new Color(255, 0, 0);
            colormanager["GREEN"] = new Color(0, 255, 0);
            colormanager["BLUE"] = new Color(0, 0, 255);



            // User adds personalized colors
            colormanager["ANGRY"] = new Color(255, 12, 0);
            colormanager["PEACE"] = new Color(128, 200, 128);
            colormanager["FLAME"] = new Color(211, 150, 20);



            // User clones selected colors
            Color color1 = colormanager["RED"].Clone() as Color;
            Color color2 = colormanager["PEACE"].Clone() as Color;
            Color color3 = colormanager["FLAME"].Clone() as Color;

            // Wait for user
            Console.ReadKey();
        }
    }
}
